factory.hh File Reference
`#include <iostream>`
`#include <memory>`
`#include <string>`
`#include <mia/core/handler.hh>`
`#include <mia/core/msgstream.hh>`
`#include <mia/core/errormacro.hh>`
`#include <mia/core/product_base.hh>`
`#include <mia/core/optionparser.hh>`
`#include <mia/core/productcache.hh>`
`#include <mia/core/traits.hh>`
Include dependency graph for factory.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | create_plugin< Handler, Chained, chainable >
struct | create_plugin< Handler, ProductChained, true >
class | TFactory< P >
| This is tha base of all plugins that create "things", like filters, cost functions time step operatores and the like. More...
class | TFactoryPluginHandler< I >
| the Base class for all plugn handlers that deal with factory plugins. More...